package org.bench4q.share.models.monitor;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import org.bench4q.share.models.master.statistics.SampleModel;

@XmlRootElement
public class ProcessModelChild extends SampleModel {
	private String instanceString;
	private long residentKBytes;
	private double processorTimePercent;
	private long memSize;
	private long processId;
	private long vSize;

	@XmlElement
	public String getInstanceString() {
		return instanceString;
	}

	public void setInstanceString(String instanceString) {
		this.instanceString = instanceString;
	}

	@XmlElement
	public long getResidentKBytes() {
		return residentKBytes;
	}

	public void setResidentKBytes(long residentKBytes) {
		this.residentKBytes = residentKBytes;
	}

	@XmlElement
	public double getProcessorTimePercent() {
		return processorTimePercent;
	}

	public void setProcessorTimePercent(double processorTimePercent) {
		this.processorTimePercent = processorTimePercent;
	}

	@XmlElement
	public long getMemSize() {
		return memSize;
	}

	public void setMemSize(long memSize) {
		this.memSize = memSize;
	}

	@XmlElement
	public long getProcessId() {
		return processId;
	}

	public void setProcessId(long processId) {
		this.processId = processId;
	}

	@XmlElement
	public long getvSize() {
		return vSize;
	}

	public void setvSize(long vSize) {
		this.vSize = vSize;
	}

}
